Subject: [os2genau_digest] No. 2022
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 10 Dec 2010 00:01:19 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 09 December 2010
 Number  2022
**************************************************

Subjects for today
 
1  Re:  Inbox size : Alan Duval <amoht at westnet dot com dot au>
2  Re:  Inbox size : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Thu, 09 Dec 2010 21:38:12 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Inbox size

Peter Moylan wrote:
> Peter Moylan wrote:
>   
>> On 6/12/2010 9:36 PM, Alan Duval wrote:
>>     
>>> Hi.
>>>
>>> I was alarmed recently to find that the partition that I have ECS on
>>> was running out of space. My Inbox looks to be the problem.
>>> I have culled it to 142 messages but that equals 1,723,448 bytes
>>> which is astounding.
>>> How could I move Inbox from my ECS partition where Thunderbird is
>>> installed to a data partition and still have it recognized by
>>> Thunderbird?
>>> If this is not possible the only thing I can think of is to copy all
>>> messages  that I require and paste them in my word processor and save
>>> them that way.
>>> What do you people do?
>>>       
>> I would never put my own files and applications on a system partition,
>> and I was a little shocked to see that that was the default chosen by
>> the eCS 2.0 installer; I thought that only Windows installers did
>> that. It was a nuisance having to move my Mozilla profiles to the
>> place where I normally keep them (D:\Mozprofiles). The profile path is
>> specified by two environment variables in CONFIG.SYS. I'm on a Windows
>> machine at present so I can't check the exact names, but they're
>> something like MOZPROFILES and MOZPLUGINPATH.
>>
>>
>>     
> Followup: here's the relevant line from my CONFIG.SYS.
>
>           SET MOZILLA_HOME=D:\MOZPROFILES
>
> Here's the partial tree that that refers to:
>
> D:\
>    MOZPROFILES
>        Mozilla
>        NVU
>        PLUGINS
>        Signatures
>        Thunderbird
>              Profiles
>                   tfr25xtx.default
>
> (and so on)
>
>   
Thanks Peter,
I compacted my inbox folder as you suggested and that gave me a lot of 
space. Didn't realize that "Compacr_folders" was under "File". I had 
previously looked for it under "Tools" and thought Thunderbird didn't 
have such a function.

At present Mozilla and Thunderbird are in the following Directory structure:

C:\
    HOME
    DEFAULT
       .config
          .dserver
    Application Data
    Mozilla
    OpenOffice dot org
    Thunderbird

The expanded Mozilla folder is as follows:
    Mozilla
       Extensions
       Firefox
          Profiles
             9h5fmqve.default
                Bookmarkbackup
                Cache
                Chrome
                Extensions

The expanded Thunderbird folder is as follows:
    Thunderbird
       Profiles
          2ij5bjek.default
             cache
          Extensions
          Mail
             Local Folders
             mail.westnet dot com dot au
          US

In my config.sys the only reference I can find to Mozilla is:

SET MOZILLA_HOME=C:\HOME\DEFAULT

There is no reference to Thunderbird

Hence if I want to move my inbox to E: should I put

SET MOZILLA_HOME=E:\HOME\DEFAULT in my config.sys and copy everything 
under C:\HOME\DEFAULT (except OpenOffice dot org) to  E:\HOME\DEFAULT ?

Regards,

Alan Duval
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 09 Dec 2010 23:22:09 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Inbox size

On 9/12/2010 9:38 PM, Alan Duval wrote:
>
> In my config.sys the only reference I can find to Mozilla is:
>
> SET MOZILLA_HOME=C:\HOME\DEFAULT
>
> There is no reference to Thunderbird

That's normal. All of the Mozilla applications (Firefox, Thunderbird, 
etc.) share the same "base directory".

>
> Hence if I want to move my inbox to E: should I put
>
> SET MOZILLA_HOME=E:\HOME\DEFAULT in my config.sys and copy everything 
> under C:\HOME\DEFAULT (except OpenOffice dot org) to  E:\HOME\DEFAULT ?
>
Yes, that would work. That's essentially what I have, except that I use 
D:\MOZPROFILES as my "Mozilla home".

That's mostly because I don't like the idea of having a directory called 
\HOME\DEFAULT, because I find that counterintuitive. Likewise, I hate 
having to go to C:\VAR\TEMP to find the PDF files that I'm trying to 
open as an e-mail attachment. (One of these days I'll have to re-install 
Lucide in an attempt to be able to open PDF attachments more directly. 
Every other kind of attachment works.) The people who designed the eCS 
2.0 file structure have tried to copy features from both Linux and 
Windows, and have ended up with the disadvantages of both. I prefer the 
traditional OS/2 approach: D:\TEMP for all temporary files, and D:\Apps 
containing a subfolder for each installed application.

However, that's a digression. You can choose any directory you like, 
just as long as the MOZILLA_HOME is properly defined in CONFIG.SYS.

-- 
Peter Moylan                          peter at pmoylan dot org
                                       http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===